Module tdlight.api
Package it.tdlight.jni

# Class TdApi.InputMessagePoll

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.InputMessageContent
it.tdlight.jni.TdApi.InputMessagePoll

Enclosing class:
  TdApi

public static final class TdApi.InputMessagePoll extends TdApi.InputMessageContent
A message with a poll. Polls can't be sent to secret chats. Polls can be sent only to a private chat with a bot.

## Field Summary

Fields
Modifier and Type
Field
Description
`int`
`closeDate`
Point in time (Unix timestamp) when the poll will automatically be closed; for bots only.
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`boolean`
`isAnonymous`
True, if the poll voters are anonymous.
`boolean`
`isClosed`
True, if the poll needs to be sent already closed; for bots only.
`int`
`openPeriod`
Amount of time the poll will be active after creation, in seconds; for bots only.
`String[]`
`options`
List of poll answer options, 2-10 strings 1-100 characters each.
`String`
`question`
Poll question; 1-255 characters (up to 300 characters for bots).
`TdApi.PollType`
`type`
Type of the poll.

## Constructor Summary

Constructors
Constructor
Description
`InputMessagePoll()`
A message with a poll.
`InputMessagePoll(DataInput input)`
A message with a poll.
`InputMessagePoll(String question, String[] options, boolean isAnonymous, TdApi.PollType type, int openPeriod, int closeDate, boolean isClosed)`
A message with a poll.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### question

public String question
Poll question; 1-255 characters (up to 300 characters for bots).

### options

public String[] options
List of poll answer options, 2-10 strings 1-100 characters each.

### isAnonymous

public boolean isAnonymous
True, if the poll voters are anonymous. Non-anonymous polls can't be sent or forwarded to channels.

### type

public TdApi.PollType type
Type of the poll.

### openPeriod

public int openPeriod
Amount of time the poll will be active after creation, in seconds; for bots only.

### closeDate

public int closeDate
Point in time (Unix timestamp) when the poll will automatically be closed; for bots only.

### isClosed

public boolean isClosed
True, if the poll needs to be sent already closed; for bots only.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### InputMessagePoll

public InputMessagePoll()
A message with a poll. Polls can't be sent to secret chats. Polls can be sent only to a private chat with a bot.

### InputMessagePoll

public InputMessagePoll(String question, String[] options, boolean isAnonymous, TdApi.PollType type, int openPeriod, int closeDate, boolean isClosed)
A message with a poll. Polls can't be sent to secret chats. Polls can be sent only to a private chat with a bot.

Parameters:
  `question` - Poll question; 1-255 characters (up to 300 characters for bots).
  `options` - List of poll answer options, 2-10 strings 1-100 characters each.
  `isAnonymous` - True, if the poll voters are anonymous. Non-anonymous polls can't be sent or forwarded to channels.
  `type` - Type of the poll.
  `openPeriod` - Amount of time the poll will be active after creation, in seconds; for bots only.
  `closeDate` - Point in time (Unix timestamp) when the poll will automatically be closed; for bots only.
  `isClosed` - True, if the poll needs to be sent already closed; for bots only.

### InputMessagePoll

public InputMessagePoll(DataInput input) throws IOException
A message with a poll. Polls can't be sent to secret chats. Polls can be sent only to a private chat with a bot.

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`